﻿using System.ComponentModel;

namespace XamDemoCalcs
{
    class vmBase
    {
        protected bool selected;

        public event PropertyChangedEventHandler PropertyChanged;

        /// <summary>
        /// Gets or sets whether this ViewModel is selected.
        /// </summary>
        public virtual bool IsSelected
        {
            get { return selected; }
            set { selected = value; OnPropertyChanged("IsSelected"); }
        }

        protected vmBase() { }

        /// <summary>
        /// Inform the view that the given property has changed.
        /// </summary>
        /// <param name="property"></param>
        protected virtual void OnPropertyChanged(string property)
        {
            if (PropertyChanged != null) PropertyChanged(this, new PropertyChangedEventArgs(property));
        }

        public void Dispose() { OnDispose(); }
        protected virtual void OnDispose() { }
    }
}
